#
%define kontactprivate_major 5
%define libkontactprivate %mklibname kontactprivate %kontactprivate_major

Name:           kontact
Summary:        Container application to unify several major PIM applications within one application
Version:        23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            http://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5grantleetheme-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5kontactinterface-devel
BuildRequires: lib64kf5libkdepim-devel
BuildRequires: lib64kf5parts-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: make
BuildRequires: qtbase5-common-devel
Requires:     qtwebengine5
Requires:     kmail
Requires:     knotes
Requires:     kalarm
Requires:     kaddressbook
Requires:     korganizer

%description
The KDE Kontact Personal Information Management suite unites mature and
proven KDE applications under one roof. Thanks to the powerful KParts
technology, existing applications are seamlessly integrated into one.

%files -f %name.lang
%_kf5_datadir/dbus-1/services/org.kde.kontact.service
%_kf5_datadir/qlogging-categories5/kontact.categories
%_kf5_datadir/qlogging-categories5/kontact.renamecategories
%_kf5_bindir/kontact
%_kf5_datadir/applications/org.kde.kontact.desktop
%_kf5_datadir/config.kcfg/kontact.kcfg
%_kf5_iconsdir/*/*/*/*.png
%_kf5_iconsdir/hicolor/*/*/*.svg
%_kf5_datadir/messageviewer/about/default/introduction_kontact.html
%_kf5_datadir/messageviewer/about/default/loading_kontact.html
%_kf5_datadir/metainfo/org.kde.kontact.appdata.xml
%_kf5_libdir/libkontactprivate.so.%{kontactprivate_major}*
/usr/lib64/qt5/plugins/pim5/kcms/kontact/kcm_kontact.so
#------------------------------------------------------------------------------

%package -n kontact-handbook
Summary:        Kontact handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kontact


%description -n kontact-handbook
This package provides the kontact handbook.

%files -n kontact-handbook
%_kf5_docdir/HTML/*/kontact

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
sd "5.19.3" "5.19.3" CMakeLists.txt
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
%ninja_install -C build
%find_lang %name


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

